#include <QApplication>
#include <QLabel>
#include <QScrollArea>
#include <QComboBox>
#include <QVBoxLayout>

int main(int argc, char *argv[])
{
   QApplication a(argc, argv);
   
   QLabel * imageLabel = new QLabel;
   imageLabel->setPixmap(QPixmap("373058.png"));

   QScrollArea * imageArea = new QScrollArea;
   imageArea->setWidget(imageLabel);
   // imageArea parent de imageLabel

   QComboBox * sizeComboBox = new QComboBox;
   sizeComboBox->addItem("100x200");
   sizeComboBox->addItem("200x400");

   QVBoxLayout * layout = new QVBoxLayout;
   layout->addWidget(imageArea);
   layout->addWidget(sizeComboBox);

   QWidget mainWidget;
   mainWidget.setLayout(layout);
   // mainWidget parent de imageArea et de sizeComboBox
   mainWidget.show();
   return a.exec();

   // destruction de mainWidget
   //  -> destruction de sizeComboBox
   //  -> destruction de imageArea
   //  -> destruction de imageLabel
}
