#ifndef BALLON_H
#define BALLON_H

#include <QObject>
#include <QVariant>

class Ballon : public QObject
{
   Q_OBJECT

   Q_PROPERTY( Couleur couleur READ couleur WRITE setCouleur )
   Q_ENUMS( Couleur )

   Q_PROPERTY( Taille taille READ taille )
   Q_ENUMS( Taille )

   public:
      Ballon( QObject *parent=0 );

      enum Couleur { Bleu, Blanc, Rouge };
      void setCouleur( Couleur c );
      Couleur couleur() const;

      enum Taille { Petit, Moyen, Grand };
      Taille taille() const;
      
   private:
      Couleur _couleur;
      Taille _taille;
};

#endif
