#include <QApplication>
#include <QtGui>

class MyDialog : public QDialog
{
   Q_OBJECT
   
   public:
      MyDialog() 
      {
         QPushButton *modalButton = new QPushButton("Modale");
         QPushButton *nomodalButton = new QPushButton("Non modale");
         QPushButton *closeButton = new QPushButton("&Fermer");   
        
         connect(modalButton, SIGNAL(clicked()), this, SLOT(modal()));
         connect(nomodalButton, SIGNAL(clicked()), this, SLOT(nomodal()));
         connect(closeButton, SIGNAL(clicked()), this, SLOT(close()));
         
         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(modalButton);
         layout->addStretch();
         layout->addWidget(nomodalButton);
         layout->addStretch();
         layout->addWidget(closeButton);         
         setLayout(layout);
         
         setWindowTitle(tr("Modale ou non modale ?"));
         setFixedHeight(sizeHint().height());
      }
      
   private slots:
      void modal()
      {
         MyDialog *myDialog = new MyDialog;
         myDialog->exec();
      }
      void nomodal()
      {
         MyDialog *myDialog = new MyDialog;
         myDialog->show();
      }
};

#include "moc_MyDialog.h"

int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyDialog myDialog;

  myDialog.show();

  return app.exec();
}
