#include <QApplication>
#include <QtGui>
#include <QtWebKit>


class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
         QWidget *centralWidget = new QWidget;
         
         QToolBar *urlToolBar = addToolBar("URL");        
         QLineEdit *urlEdit = new QLineEdit;
         QLabel *label = new QLabel(tr("Adresse :"));
         urlToolBar->addWidget(label);
         urlToolBar->addWidget(urlEdit);

         webView = new QWebView;         
         QVBoxLayout *layout = new QVBoxLayout;
         layout->addWidget(webView);
         centralWidget->setLayout(layout);

         QString url = "http://www.google.fr/";
         webView->load(QUrl(url));
 
         setCentralWidget(webView);
      }
   private:
      QWebView *webView;
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
