#include <QApplication>
#include <QtGui>

class MyMainWindow : public QMainWindow
{
   public:
      MyMainWindow() 
      {
        QMenu *fileMenu = new QMenu(tr("&Fichier"), this);
        menuBar()->addMenu(fileMenu);
        
        QMenu *editMenu = new QMenu(QString::fromUtf8("&Édition"), this);
        menuBar()->addMenu(editMenu);
        
        QMenu *helpMenu = new QMenu(tr("&Aide"), this);
        menuBar()->addMenu(helpMenu);
      }
};


int main(int argc, char *argv[])
{
  QApplication app(argc, argv);

  MyMainWindow myMainWindow;

  myMainWindow.show();

  return app.exec();
}
