#include <QLCDNumber>
#include <QSlider>
#include <QVBoxLayout>

#include "mywidget.h"

MyWidget::MyWidget( QWidget *parent ) : QWidget( parent )
{
   QLCDNumber *lcd = new QLCDNumber( this );
   QSlider *s = new QSlider( Qt::Horizontal, this );
   QVBoxLayout *mainLayout = new QVBoxLayout;
   mainLayout->addWidget(lcd);
   mainLayout->addWidget(s);
   setLayout(mainLayout);

   connect( s, SIGNAL(valueChanged(int)), lcd, SLOT(display(int)) );
}
