#include <QFrame>
#include <QPalette>

class QwtDial;
class SpeedoMeter;

class CockpitGrid: public QFrame
{
    Q_OBJECT

public:
    CockpitGrid(QWidget *parent = NULL);

private slots:
    void changeSpeed();

private:
    QPalette colorTheme(const QColor &) const;
    QwtDial *createDial();

    SpeedoMeter *d_speedo;
};
