#include <QApplication>
//#include <QLocale>
//#include <QtGui>

#include <QSplitter>
#include <QFileSystemModel>
#include <QTreeView>
#include <QListView>


int main(int argc, char *argv[])
{
     QApplication app(argc, argv);
     QSplitter *splitter = new QSplitter;

     QFileSystemModel *model = new QFileSystemModel;
     model->setRootPath(QDir::currentPath());
     QModelIndex parentIndex = model->index(QDir::currentPath());
     //int numRows = model->rowCount(parentIndex);

     QTreeView *tree = new QTreeView(splitter);
     tree->setModel(model);
     tree->setRootIndex(parentIndex);

     QListView *list = new QListView(splitter);
     list->setModel(model);
     list->setRootIndex(parentIndex);

     splitter->setWindowTitle("Two views onto the same file system model");
     splitter->show();
     return app.exec();
}
